Subject: bug#22875: closed (Re: bug#22875: 24.5; HOME-variable not resolve in Win7)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 20:40:02 +0000

Your bug report

#22875: 24.5; HOME-variable not resolve in Win7

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22875: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22875
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22875: 24.5; HOME-variable not resolve in Win7
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 15:39:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii wrote:

> The feature you expected is not supported.  Environment variables are
> only expanded at startup if they are found in the Registry, not in the
> shell's environment.
>
> How did you define such a value for an environment variable?  If I try
> defining HOME=%HOMEDRIVE%%HOMEPATH% from the cmd prompt, cmd expands
> the 2 variables, and the same if I defined HOME from the Computer's
> Properties' "Advanced" tab.  So I'm not sure how you get into this
> situation.  Can you explain?

No response in months, closing.

Subject: 24.5; HOME-variable not resolve in Win7
From: Studt Reimer <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 1 Mar 2016 19:38:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On start-up of emacs, the .emacs file could not be loaded, because emacs
resolved the Windows HOME variable to *exactly* how it was defined. That
was the text %HOMEDRIVE%%HOMEPATH%. Emacs could not resolve these two
variables. The workaround for me was to manually change the HOME
variable to the absolute path (and to resolve the two variables %HOMEDRIVE% and %HOMEPATH% and restart windows.

In GNU Emacs 24.5.1 (i686-pc-mingw32)
of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
`configure --prefix=/c/usr --host=i686-pc-mingw32'

Important settings:
  value of $LANG: DEU
  locale-coding-system: cp1252

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 75908 6759)
(symbols 32 17433 0)
(miscs 32 73 127)
(strings 16 10713 4029)
(string-bytes 1 279807)
(vectors 8 8926)
(vector-slots 4 382520 5128)
(floats 8 56 203)
(intervals 28 246 36)
(buffers 508 13))